•  » Installation
  •  » Problème mise à jour 1.7.1 à 2.1.0

#1 2010-05-18 18:35:58

RizThon
Membre
2007-09-11
31

Problème mise à jour 1.7.1 à 2.1.0

En espérant que ça serve à quelqu'un...

J'ai une vieille gallerie chez Free en 1.7.1. J'ai installé et activé Piwigo AutoUpgrade. Lorsque je clique dessus apparaît tout en haut de l'écran
Warning: main() [function.include]: Failed opening '' for inclusion (include_path='/XXX/include:.:/usr/php4/lib/php') in /XXX/plugins/autoupdate/autoupdate.php  on line 5
puis après être passé en PHP5, quasiment la même erreur avec include() au lieu de main() et php5 au lieu de php4
Warning: include() [function.include]: Failed opening '' for inclusion (include_path='/XXX/include:.:/usr/php5/lib/php') in /XXX/plugins/autoupdate/autoupdate.php  on line 5
La ligne en question c'est
include(get_language_filepath('plugin.lang.php', AUTOUPDATE_PATH));
A part ça tout s'affiche bien en me disant que je peux passer en 1.7.3 ou en 2.1.

Même warning après avoir cliqué sur "Upgrade to Piwigo 2.1.0".

Après avoir cliqué sur "Save Template Directory" (où je n'ai que yoga) j'ai le même warning qui je suppose me fait planter le reste avec 4 fois l'erreur
Warning: Cannot modify header information - headers already sent by (output started at XXX/plugins/autoupdate/autoupdate.php:5) in XXX/plugins/autoupdate/include/functions.inc.php on line 223
puis plein de trucs pas trop lisible (à part les quelques template, yoga & co)
PK ?????\ª8???????????? ???template/PK ?????\ª8???????????????template/yoga/PK.......

J'ai commenté la ligne 5 qui pose problème dans autoupdate.php, à priori utile pour l'i18n (mon site est en anglais, je ne sais plus si c'est la langue par défaut ou si je l'ai forcé). Le warning disparaît et je peux sauvegarder mon template ainsi que ma DB.

Quand je clique sur le bouton pour mettre à jour Piwigo, j'ai un message du style "autoupdate_message", avec uniquement un bouton OK. Je ne l'ai pas noté tout de suite, donc c'est peut être pas exactement ce message. Le message est peut être pas très intéressant à cause de cette ligne fameuse ligne 5 que j'ai honteusement commenté.

La mise à jour de la DB se fait sans problème, il y a juste écrit en haut à droite un truc du style "mise à jour de 1.7.0 à 2.1.0", alors que j'étais en 1.7.1...

A part ça tout a l'air de fonctionner comme avant (j'ai juste mes 3 plugins qui sont désactivés, mais vu que c'est une vieille gallerie, c'est pas grave).

J'ai ensuite voulu essayer de décommenter la ligne 5 et de voir ce qui se passait avec Piwigo 2.1.0. J'ai donc activé le plugin, puis quand je clique dessus j'ai une jolie erreur
Fatal error: Call to undefined function get_language_filepath() in /XXX/plugins/autoupdate/autoupdate.php  on line 5...évidemment il faut mettre à jour le plugin ! (d'ailleurs apparemment ça fonctionne très bien sans désinstaller l'ancienne version) Une fois fait, il me dit bien que j'ai la dernière version de Piwigo...

PS: je ne sais pas si je dois mettre [résolu] dans le titre...ça fait un peu bidouille ma méthode, mais ça fonctionne...

Hors ligne

#2 2010-05-18 19:33:59

P@t
Équipe Piwigo
Nice
2007-06-13
5694

Re: Problème mise à jour 1.7.1 à 2.1.0

Bizarre qu'il n'arrive pas à charger les fichier langue... Peut-etre une erreur de transfert FTP...

RizThon a écrit:

J'ai ensuite voulu essayer de décommenter la ligne 5 et de voir ce qui se passait avec Piwigo 2.1.0. J'ai donc activé le plugin, puis quand je clique dessus j'ai une jolie erreur
Fatal error: Call to undefined function get_language_filepath() in /XXX/plugins/autoupdate/autoupdate.php  on line 5...évidemment il faut mettre à jour le plugin ! (d'ailleurs apparemment ça fonctionne très bien sans désinstaller l'ancienne version) Une fois fait, il me dit bien que j'ai la dernière version de Piwigo...

STOP! Le plugin pour la 1.7.x est compatible UNIQUEMENT avec une 1.7.x.
Dans Plugins / Gérer, va dans l'onglet "Rechercher les mises à jour" et met Autoupdate à jour.


P@t

Hors ligne

  •  » Installation
  •  » Problème mise à jour 1.7.1 à 2.1.0

Pied de page des forums

Propulsé par FluxBB

github twitter facebook newsletter Faire un don Piwigo.org © 2002-2019 · Contact